/*
  Helper class to load sudoku board into memory
  from a flat file
*/

import java.io.BufferedReader;
import java.io.FileReader;
import java.util.StringTokenizer;

public class LoadBoard {

  /*
    Function to load sudoku board from flat file
    into memory
  */
  public static int[][] load() {

    int[][] board = new int[9][9];

    try {

      BufferedReader in = new BufferedReader(new FileReader("board.txt"));

      String line = in.readLine();
      StringTokenizer st = null;

      int i = 0;

      while(i < 9) {

        st = new StringTokenizer(line,",");
        int j = 0;

        while (st.hasMoreTokens()) {
		  board[i][j] = (new Integer(st.nextToken())).intValue();
		  j++;
		}

        line = in.readLine();
        i++;
	  }

      in.close();

    }
    catch(Exception ex) {
	  ex.printStackTrace();
	}

	return board;

  }

}